
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP __autoload函数（自动载入类文件）的使用方法_php技巧 / iVAN</title>

    <meta name="description" content="PHP __autoload函数（自动载入类文件）的使用方法_php技巧 这也是OO设计的基本思想之一.在PHP5之前,如果需要使用一个类,只需要直接使用include/require将其包含进来即可.下面是一个实际的例子: 复制代码 代码如下: class ClassA{ public function __construct(){ echo &quot;ClassA load success!&quot;; } } //定义一个类ClassA,文件名为ClassA.php class ClassA{ public function __construct(){ e ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP __autoload函数（自动载入类文件）的使用方法_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这也是OO设计的基本思想之一。在PHP5之前，如果需要使用一个类，只需要直接使用include/require将其包含进来即可。下面是一个实际的例子：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>class ClassA{ <br />public function __construct(){ <br />echo “ClassA load success!”; <br />} <br />} <br />//定义一个类ClassA，文件名为ClassA.php <br />class ClassA{ <br />public function __construct(){ <br />echo “ClassA load success!”; <br />} <br />} <br />class ClassB extends ClassA { <br />public function __construct(){ <br />//parent::__construct(); <br />echo “ClassB load success!”; <br />} <br />} <br />//定义一个类ClassB，文件名为ClassB.php，ClassB继承ClassA <br />class ClassB extends ClassA { <br />public function __construct(){ <br />//parent::__construct(); <br />echo “ClassB load success!”; <br />} <br />} <br />定义两个测试用的类之后，我们来编写一个含有__autoload()方法的PHP运行程序文件如下： <br />function __autoload($classname){ <br />$classpath=”./”.$classname.'.php'; <br />if(file_exists($classpath)){ <br />require_once($classpath); <br />} <br />else{ <br />echo ‘class file'.$classpath.'not found!'; <br />} <br />}</p>
<p>$newobj = new ClassA(); <br />$newobj = new ClassB();</p>
<p>这个文件的运行是一点问题都没有的，可见autoload是多么的好用啊，呵呵…… <br />但是不得不提醒你一下几个方面是必须要注意的。 <br />1、如果类存在继承关系（例如：ClassB extends ClassA），并且ClassA不在ClassB所在目录 <br />利用__autoload魔术函数实例化ClassB的时候就会受到一个致命错误： <br />Fatal error: Class ‘Classd' not found in ……ClassB.php on line 2， <br />解决方法：把所有存在extends关系的类放在同一个文件目录下，或者在实例化一个继承类的时候在文件中手工包含被继承的类； <br />2、另外一个需要注意的是，类名和类的文件名必须一致，才能更方便的使用魔术函数__autoload； <br />其他需要注意的事情： <br />3、在CLI模式下运行PHP脚本的话这个方法无效； <br />4、如果你的类名称和用户的输入有关——或者依赖于用户的输入，一定要注意检查输入的文件名，例如：.././这样的文件名是非常危险的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:21:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/__autoload/" title="&lowbar;&lowbar;autoload">&lowbar;&lowbar;autoload</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e8%bd%bd%e5%85%a5%e7%b1%bb/" title="自动载入类">自动载入类</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP __autoload函数（自动载入类文件）的使用方法_php技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBk1JNM.html" rel="bookmark">PHP使用glob函数遍历目录或文件夹的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP使用glob函数遍历目录或文件夹的方法.分享给大家供大家参考.具体分析如下: 一说到php遍历目录我们很多朋友会想到是opendir与readdir,这样就可以遍历目录并显示文件,但在php中有一个更简洁的遍历目录的函数glob估计很少有人知道此函数,不过我觉得比起opendir与readdir要简单多了. PHP glob函数的使用:glob-寻找与模式匹配的文件路径. 例子,代码如下: 复制代码 代码如下: &lt;?php $fileList=glob('*.*'); for			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8RQAp.html" rel="bookmark">PHP使用flock实现文件加锁的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP使用flock实现文件加锁的方法.分享给大家供大家参考.具体分析如下: flock在官方文档里的解释是:flock() 允许你执行一个简单的可以在任何平台中使用的读取/写入模型(包括大部分的 Unix 派生版和甚至是Windows).如果锁定会堵塞的话(EWOULDBLOCK 错误码情况下),请将可选的第三个参数设置为 TRUE.锁定操作也可以被 fclose() 释放(代码执行完毕时也会自动调用). 简单来说,就是对一个文件进行锁定操作,使得多进程访问该文件时受到限制,从而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8dAmp.html" rel="bookmark">PHP 读取文件的正确方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让我们算一算有多少种方法 处理诸如 PHP 之类的现代编程语言的乐趣之一就是有大量的选项可用.PHP 可以轻松地赢得 Perl 的座右铭&quot;There's more than one way to do it&quot;(并非只有一种方法可做这件事),尤其是在文件处理上.但是在这么多可用的选项中,哪一种是完成作业的最佳工具?当然,实际答案取决于解析文件的目标,因此值得花时间探究所有选项. 回页首 传统的 fopen 方法 fopen 方法可能是以前的 C 和 C++ 程序员最熟悉的,因为如果您使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4k3Xrp.html" rel="bookmark">php获取文件类型和文件信息的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php获取文件类型和文件信息的方法.分享给大家供大家参考.具体实现方法如下: &lt;?php $file = &quot;php.txt&quot;; //打开文件,r表示以只读方式打开 $handle = fopen($file,&quot;r&quot;); //获取文件的统计信息 $fstat = fstat($handle); echo &quot;文件名:&quot;.basename($file).&quot;&lt;br&gt;&quot;; //echo &quot;文件大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7291Rp.html" rel="bookmark">WordPress主题制作之模板文件的引入方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				get_template_part() 用来引用模板文件,类似于 get_header().get_sidebar() 和 get_footer(),只不过这个 get_template_part() 可以引入自定义名字的文件. 使用方法 get_template_part( $slug, $name ); 参数 $slug (字符串)(必须)要引入的模板的文件名,不包括后缀名 .php,也就是如果需要引入当前主题根目录的 loop.php 文件 $slug 填写 &quot;loop&quot; 即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE67LLM.html" rel="bookmark">PHP使用json&lowbar;encode函数时不转义中文的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP使用json_encode函数时不转义中文的解决方法.分享给大家供大家参考.具体方法如下: json_encode函数对于gbk中的中文字符是不会转换的或直接转换成空格了,本文就来给各位整理一个关于json不转义中文问题处理技巧,相信对大家有所帮助. 如果你调用 PHP 自带的 json_encode() 函数, 碰到中文时, 中文会被转义掉. 例如: 复制代码 代码如下: echo json_encode(array('你好')); // 输出: [&quot;\u4f60\u597			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK3Wqp.html" rel="bookmark">PHP将回调函数作用到给定数组单元的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数组是PHP程序设计中十分重要的一环.本文介绍PHP中数组函数array_map()的用法,实现将回调函数作用到给定数组单元上.具体如下: array array_map ( callable $callback , array $arr1 [, array $... ] ) array_map() 返回一个数组,该数组包含了 arr1 中的所有单元经过 callback 作用过之后的单元. callback 接受的参数数目应该和传递给 array_map() 函数的数组数目一致. 示例程序如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO1lqb.html" rel="bookmark">PHP递归遍历指定目录的文件并统计文件数量的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP递归遍历指定目录的文件并统计文件数量的方法.分享给大家供大家参考.具体实现方法如下: &lt;?php //递归函数实现遍历指定文件下的目录与文件数量 function total($dirname,&amp;$dirnum,&amp;$filenum){ $dir=opendir($dirname); echo readdir($dir).&quot;&lt;br&gt;&quot;; //读取当前目录文件 echo readdir($dir).&quot;&lt;br&gt;&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk05Y7z.html" rel="bookmark">php截取html字符串及自动补全html标签的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php截取html字符串及自动补全html标签的方法.分享给大家供大家参考.具体分析如下: 这里总结一下关于利用php截取html字符串自动补全html标签,实际开发中会经常碰到,很多人直接先strip_tags过滤掉html标签,但是就只剩下纯文本了,可读性非常差,下面是一个函数,代码如下: 复制代码 代码如下: /**  * 截取HTML,并自动补全闭合  * @param $html  * @param $length  * @param $end  */ function			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZdPJz.html" rel="bookmark">php修改指定文件后缀的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因项目需求,需要将asp后缀的修改成php,因懒于一个个修改.又觉得php跟Qt一样都是高级语言了,一般高级语言都有提供对获得的内容进行增删改查的函数.经过一番资料查找与代码测试,总结出了PHP修改指定文件后缀的方法,分享给大家. 目标:将当前目录下的asp后缀改成php,而不影响其它&quot;后缀格式的文件&quot;,而且只是针对&quot;当前文件夹&quot;,对当前文件夹内包含的文件夹的文件不进行修改. 具体功能代码如下: &lt;?php function foreachDir($dirna			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8jr9b.html" rel="bookmark" class="title">jQuery Mobile教程&colon;表单selectmenu插件</a>
					<div>
						文章简介:本文我们来深度认识一下jQuery Mobile的selectmenu插件. 本文我们来深度认识一下jQuery Mobile的selectmenu插件 主要让大家熟悉一下动态创建selec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJwRwb.html" rel="bookmark" class="title">PS结合SAI把车内的美女转成闪亮的仿手绘效果</a>
					<div>
						仿手绘的方法基本接近,不过高手善于在细节.颜色.装饰等方面下功夫.如下面的教程,作者的高光刻画的非常到位,尤其是肤色部分有种类似水晶的效果,非常可爱. 最终效果 最终效果 [1] [2] [3] [4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ6j8M.html" rel="bookmark" class="title">CSS&amp;amp&semi;nbsp&semi;-&amp;amp&semi;nbsp&semi;图片放大展示代码</a>
					<div>
						css|放大 CSS代码下载:http://www.alixixi.com/webdesign/instance/12114.rar					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5L4WM.html" rel="bookmark" class="title">ORACLE中序列-sequence的应用</a>
					<div>
						oracle oracle中没有象Acces中自动编号的字段类型,所以在oracle中要想用一个字段自动增值,还比较麻烦,在此提供给大家一个方法,利用序列,来完成字段的自动增加,下边介绍一下怎么创建序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlYKNp.html" rel="bookmark" class="title">一个小站站长的四个月的心酸史</a>
					<div>
						2006年,中国迎来了个人网站蓬勃发展的一年,当网赚摧枯拉朽的疯狂了一年后.2007年我怀着一腔热血踏上了艰难的建站之路. 建站的定位首先很重要,自以为自学了一年的photoshop就很得意的样子,预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGDjOb.html" rel="bookmark" class="title">百度借&OpenCurlyDoubleQuote;绿萝算法&rdquo;拼出的网站优化现状</a>
					<div>
						百度绿萝算法至今为止刚刚过去十天,在这十天中有不少网站都进行了转型或者战略转变,不可否认的是百度的绿萝算法比2012年出台的几个算法都管用,因为百度此次的绿萝算法出台的基本算得上是具体的措施,百度靠此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wY9qp.html" rel="bookmark" class="title">RavMonE病毒剿灭记</a>
					<div>
						中毒啦!中毒啦!--一时间,很多同学都发出了这样的声音,究竟是怎么一回事呢?原来所有U盘或移动硬盘(甚至是MP3)的根目录下出现了一个名为RavMonLog.exe的文件,删除后又会自动出现.而且,打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW163qz.html" rel="bookmark" class="title">Vista系统开始菜单命令提示</a>
					<div>
						在Windows Vista和Windows 7,在开始菜单中输入特定命令可以搜索并打开指定程序.比如,输入CMD再按下回车即可打开命令提示符.那么,任何第三方软件是否都可以通过这种方式打开呢? 有两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPVdPM.html" rel="bookmark" class="title">Photoshop抠图：一图五种抠法</a>
					<div>
						  先贴原图 先用钢笔或套索工具勾出人物的主体部分,做的时候一定要注意,蚂蚁线不要太到边缘,更不能外出,否则扣出来的效果是不理想的. 然后进行羽化,羽化的作用是使边缘柔和,不会显得生硬. 羽化值根据图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPx47M.html" rel="bookmark" class="title">Photoshop给室内人像照片调出暗紫色</a>
					<div>
						室内人像一般都会缺少质感,调色之前需要简单的磨皮,并把肤色的质感刻画出来.尤其背景较暗的图片,肤色质感刻画好,人物会干净漂亮很多.至于主色可以根据背景及人物衣服颜色进行搭配. 原图 最终效果 1.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWlmAp.html" rel="bookmark" class="title">office Word 2010&rdquo;导航窗口&rdquo;使用技巧</a>
					<div>
						  用Word编辑文档,有时会遇到长达几十页,甚至上百页的超长文档,在以往的Word版本中,浏览这种超长的文档很麻烦,要查看特定的内容,必须双眼盯住屏幕,然后不断滚动鼠标滚轮,或者拖动编辑窗口上的垂直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYReZep.html" rel="bookmark" class="title">怎样合并或分割PDF文件</a>
					<div>
						  Adobe acrobat X pro 1Adobe acrobat X pro是官方最新的PDF文件编辑器,肯定是我们处理PDF文件的首选利器.他的功能十分强大,合并或分割PDF文件这类小事情肯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e6nJb.html" rel="bookmark" class="title">Windows找不到证书来让您登陆到网络解决</a>
					<div>
						  无线连接提示&quot;Windows找不到证书来让您登陆到网络&quot;解决 无线连接时,若无线网卡提示&quot;windows找不到证书来让您登陆到网络&quot;.如下图: 解决办法:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJDkkp.html" rel="bookmark" class="title">U盘数据丢失的一些原因</a>
					<div>
						  一些朋友在使用U盘时数据有时会丢失,编写完资料后已经保存了,但资料还是不见了,而且是整个文档都不见了.但文件夹还在,这是什么原因造成的呢?下面就为大家解答一下: 正常系统中默认的对U盘的设置为为快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr4VQp.html" rel="bookmark" class="title">数字四舍五入</a>
					<div>
						 /** * 四舍五入 * @param val 值 * @param precision 小数点保留位数 * @return */ public static Double roundDouble( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLQmOb.html" rel="bookmark" class="title">请教一下 服务器的环境是用PHPstudy搭建的用的80口？</a>
					<div>
						有网友问道: 请教一下 服务器的环境是用PHPstudy搭建的用的80口  然后有个管理软件也装在服务器上 也要用80口 网站可以改用其他口吗回复: 从用户体验来看,建议把管理软件的端口改成非80端口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxodNGb.html" rel="bookmark" class="title">Android组件之DrawerLayout实现抽屉菜单&lowbar;Android</a>
					<div>
						DrawerLayout组件同样是V4包中的组件,也是直接继承于ViewGroup类,所以这个类也是一个容器类. 抽屉菜单的摆放和布局通过android:layout_gravity属性来控制,可选值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmgG5z.html" rel="bookmark" class="title">vpn xl2tpd-板子上的xl2tpd客户端连接xl2tpd的vpn server，总是连接不上？</a>
					<div>
						问题描述 板子上的xl2tpd客户端连接xl2tpd的vpn server,总是连接不上? 我在amlogic板子上,板子上为android系统,交叉编译xl2tpd,然后push到板子上,配置好相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PdPqp.html" rel="bookmark" class="title">eclipse插件开发-Eclipse插件开发在自定义view中加载选中的工程项目</a>
					<div>
						问题描述 Eclipse插件开发在自定义view中加载选中的工程项目 在Eclispe插件开发过程中有一个需求,需要在我自定义的透视图中的指定view中加载选中的工程代码(就像Package Expl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQAm7p.html" rel="bookmark" class="title">ASP&period;Net Web aspx中TextBox的滚动条问题！</a>
					<div>
						问题描述 ASP.NetWebaspx中设置TextBoxStyle=&quot;overflow-y:visible&quot;就是使生成的TextBox不显示滚动条,且随着TextBox.Text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQaOWp.html" rel="bookmark" class="title">《Cisco IPv6网络实现技术（修订版）》一2&period;2　寻址</a>
					<div>
						2.2 寻址 Cisco IPv6网络实现技术(修订版) IPv6地址长度是IPv4地址长度的4倍.IPv6地址表示也是非常不同的.本节讲述IPv6地址新的表示法.语法和压缩格式. 2.2.1 IPv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoGXRb.html" rel="bookmark" class="title">调用webservice报错&equals;&equals;&equals;&equals;</a>
					<div>
						问题描述 java.lang.NoSuchMethodException:com.tydic.smpin.intf.imp.BillDataSvrImp.BillInfo([Lcom.tydic.sm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba77wNp.html" rel="bookmark" class="title">【Android开发】高级组件-网格视图</a>
					<div>
						网格视图(GridView)是按照行.列分布式的方式来显示多个组件,通常用于显示图片或是图标等.在使用网格视图时,首先要在屏幕上添加GridView组件,通常使用&lt;GridView&gt;标记在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RZDkb.html" rel="bookmark" class="title">浏览器 CSS 兼容写法的测试总结</a>
					<div>
						做前端最讨厌的就是 IE6,7,8,虽然被淘汰的浏览器,但是在中国用户仍然很多,不可能像国外网站一样直接就不管它了,这样会流失很多流量啊. 现在有了IE9,IE10还好些,几乎和 Chrome,Fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw7ROM.html" rel="bookmark" class="title">Context&plus;ContextScope&mdash;&mdash;这是否可以看作一种设计模式？</a>
					<div>
						相信大家对TransactionScope都比较熟悉.通过TransactionScope,我们可以很容易地将一组操作纳入同一个事务中:或者说TransactionScope创建一个基于事务的上下文范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRN8Op.html" rel="bookmark" class="title">将音乐按情绪分为类 生成个性化音乐播放列表</a>
					<div>
						听音乐,很简单,但要听到自己喜欢的音乐,却不简单.为了让你随时能听到自己喜欢的音乐,各种音乐服务或应用的开发者可是煞费苦心.一款新的音乐发现应用 -&amp;http://www.aliyun.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GN2Ap.html" rel="bookmark" class="title">可穿戴技术将进入我们生活的几乎每一个领域</a>
					<div>
						北京时间12月1日,据venturebeat网站报道,Skully Helmets(钢铁侠助理头盔)公司创始人兼首席执行官马克斯·韦勒(Marcus Weller)博士曾经说过:&quot;在未来的十 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZA2ob.html" rel="bookmark" class="title">正则表达式处理函数 preg&lowbar;match&comma;preg&lowbar;match&lowbar;all</a>
					<div>
						第八章(4)正则表达式处理函数(一) e :可以把替换出来的结果当成php函数执行. preg_replace(1.正则模式 2.替换成的字符串 3.要被替换的字符串在哪里面 4.替换的次数) 执行正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEnn8z.html" rel="bookmark" class="title">BufferedReader中的read（数组）方法和readline（）方法</a>
					<div>
						问题描述 有哪位大侠能解疑一下,BufferedReader中的read(数组)方法和readline()方法在处理效率上有什么区别?两者的原理不都是用了一个数组作为缓存吗?readline方法比re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkq0oM.html" rel="bookmark" class="title">多线程牛人指点下啊，兄弟我调的眼花心烦</a>
					<div>
						问题描述 import java.util.ArrayList;import java.util.Vector;import java.util.concurrent.BrokenBarrierExc ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.080 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
